OgreGpuProgram.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreSerializer.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreGpuProgramParams.h"`

Go to the source code of this file.

## Classes

class | Ogre::GpuProgram
| Defines a program which runs on the GPU such as a vertex or fragment program. More...
class | Ogre::GpuProgram::CmdType
| Command object - see ParamCommand. More...
class | Ogre::GpuProgram::CmdSyntax
class | Ogre::GpuProgram::CmdSkeletal
class | Ogre::GpuProgram::CmdMorph
class | Ogre::GpuProgram::CmdPose
class | Ogre::GpuProgram::CmdVTF
class | Ogre::GpuProgram::CmdManualNamedConstsFile
class | Ogre::GpuProgram::CmdAdjacency
class | Ogre::GpuProgramPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to GpuProgramPtr. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::GpuProgramType { Ogre::GPT_VERTEX_PROGRAM, Ogre::GPT_FRAGMENT_PROGRAM, Ogre::GPT_GEOMETRY_PROGRAM }
| Enumerates the types of programs which can run on the GPU. More...

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24